Subject: [rtcweb] Review of draft-ietf-rtcweb-security

From: Bernard Aboba <[email-masked]>
Date: Mon, 14 Jul 2014 12:36:22 -0700

Section 4.1

   By contrast, consent to send network traffic is about preventing the

   user's browser from being used to attack its local network.

[BA] Not sure why the threat is limited to the browsers local network.

DDOS attacks against hosts on other networks are possible too, right?

   At minimum, then, it MUST NOT be possible for arbitrary sites

   to initiate calls to arbitrary locations without user consent....

   Thus, we

   need to ensure communications consent even if the site is not able to

   access the camera and microphone at all

[BA] Do the terms "user consent" and "communications consent" have different

meanings here?  For example, the former tends to suggest the need for

user intervention, while the latter might be satisfied by ICE consent.

As it stands in this section, I'm not sure what the requirement is,

exactly, although it seems important enough to merit a MUST NOT.

Section 4.1.1

   Unfortunately,

   the security implications of this functionality are much harder for

   users to intuitively analyze than for camera and microphone access.

   (See

   http://lists.w3.org/Archives/Public/public-webrtc/2013Mar/0024.html

   for a full analysis.)

[BA] Not sure why a link is being provided to a mailing list post.  Is the

intent to have a separate document focuses on screen sharing?  If so, then

this document should say this.  If not, then the material in the link

should be imported into the document.